#!/bin/bash
set -e

# locales

echo 'console-setup console-setup/charmap47 select UTF-8' | debconf-set-selections
echo 'keyboard-configuration keyboard-configuration/variant select English (US)' | debconf-set-selections
echo 'keyboard-configuration kekeyboard-configuration keyboard-configuration/layout select English (US)' | debconf-set-selections
echo 'locales locales/default_environment_locale select en_US.UTF-8' | debconf-set-selections
echo 'locales locales/locales_to_be_generated multiselect en_US.UTF-8 UTF-8' | debconf-set-selections

apt-get -y install locales


# mdadm.conf

#replace rescue system hostname with real hostname
mdadm --examine --scan | perl -pe 's/name\=.*?:/name='"$(cat /etc/hostname)"':/' > /etc/mdadm/mdadm.conf


# GRUB

apt-get -y install

update-grub
grub-install /dev/sda
grub-install /dev/sdb


# Docker

#add docker key
apt-get -y install gnupg2
apt-key add docker.key
apt-get -y --purge autoremove gnupg2

echo 'deb https://download.docker.com/linux/debian stretch stable' > /etc/apt/sources.list.d/docker.list
apt-get update


# tbd

apt-get -y install \
    systemd \
    dropbear \
